Page MenuHomePhabricator

Github pull request 263 (Forward vtkInformation objects to MITK mappers - allow for VTK depth peeling)
Closed, ResolvedPublic

Description

Please see https://github.com/MITK/MITK/pull/236 for details. I am happy to provide more info if required.

Event Timeline

maleike created this task.Aug 28 2019, 2:35 PM
kislinsk triaged this task as Normal priority.Sep 9 2019, 11:58 AM
kislinsk added a project: MITK (2018-04-4).

Cool! 👍🏻
Will look into this on Community Day.

@maleike

I re-enabled depth peeling support based on your pull request and also enabled depth peeling for volumes and FXAA. It works well for surfaces and volumes but totally breaks rendering of images/cross hair with opacity < 1. So this is not yet complete and I/we have to fix this before I am able to merge it.

Also PointSets have a similar problem with opacity now.

kislinsk added a comment.EditedNov 13 2019, 12:43 PM

All remaining issues solved by @maleike. I reintroduced the rendering mode preference but instead of switching between "Standard" (default, basically equivalent to "nothing") and "Depth Peeling" it now allows to switch between "No anti-aliasing" and "Fast Approximate Anti-Aliasing (FXAA)" (default). Depth peeling is always enabled as it only kicks in if there are translucent objects in the scene and in the worst case it is preferable to have not the fasted rendering instead of having a broken rendering. The future will show if we there is really a need to additionally add quality options regarding depth peeling.

kislinsk closed this task as Resolved.Nov 13 2019, 1:12 PM

@maleike

I re-enabled depth peeling support based on your pull request and also enabled depth peeling for volumes and FXAA. It works well for surfaces and volumes but totally breaks rendering of images/cross hair with opacity < 1. So this is not yet complete and I/we have to fix this before I am able to merge it.

Wow, I never noticed your comment here before I saw your reaction to the update on my GitHub pull request.. No idea why.. (checked all my mails and Phabricator settings)

Well anyways, thanks for integrating all of that and for your completion work! Perhaps I would have come up with the VTK patch earlier if I had seen your comment. I actually fixed vtkPropAssemblies because of a visualization issue completely unrelated to the crosshair.

kislinsk edited projects, added MITK; removed MITK (2018-04-4).Tue, Feb 11, 4:42 PM